package main

import (
	"encoding/json"
	"errors"
	"fmt"
	"log"
	"os"

	"github.com/slack-go/slack"
)

func main() {
	if err := bug109(); err != nil {
		log.Fatal(err)
	}
}

func bug109() error {
	f, err := os.Open("bug109-r.json")
	if err != nil {
		return err
	}
	defer f.Close()

	dec := json.NewDecoder(f)
	var m slack.Message
	if err := dec.Decode(&m); err != nil {
		var ute *json.UnmarshalTypeError
		if errors.As(err, &ute) {
			fmt.Printf("%#v", ute)
		}
		return err
	}
	fmt.Println("OK")
	return nil
}
